> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Action from Agent

> Permanently deletes an action. This will remove the action from all associated agents and cannot be undone.



## OpenAPI

````yaml /api-reference/conversation-ai/openapi.json delete /conversation-ai/agents/{agentId}/actions/{actionId}
openapi: 3.0.0
info:
  title: Conversation AI API
  description: Documentation for AI Employees API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: AI-Employees
    description: Documentation for AI Employees API
  - name: Actions
    description: Documentation for AI Employees API
  - name: Agents
    description: Documentation for AI Employees API
  - name: Generations
    description: Documentation for AI Employees API
paths:
  /conversation-ai/agents/{agentId}/actions/{actionId}:
    delete:
      tags:
        - Actions
      summary: Remove Action from Agent
      description: >-
        Permanently deletes an action. This will remove the action from all
        associated agents and cannot be undone.
      operationId: delete-action
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-04-15'
        - name: actionId
          required: true
          in: path
          description: The unique identifier of the action ID Attached to the agent
          schema:
            type: string
        - name: agentId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deleteActionResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - conversation-ai.write
components:
  schemas:
    deleteActionResponseDTO:
      type: object
      properties:
        data:
          description: Deleted action information
          allOf:
            - $ref: '#/components/schemas/DeleteActionDataDTO'
        success:
          type: boolean
          example: true
          description: Success status of the request
      required:
        - data
        - success
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          example:
            - Unprocessable Entity
          type: array
          items:
            type: string
        error:
          type: string
          example: Unprocessable Entity
    DeleteActionDataDTO:
      type: object
      properties:
        id:
          type: string
          example: actionId123
          description: ID of the deleted action
      required:
        - id
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````